function vid_mate_check(url){
	if (vid_mate_get_music_id(url) == null)
	{
	    vid_mate_set_canDownload(false);
	    return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_music_id(url){
	var vid_mate_url = url || document.URL;
    if (vid_mate_url == null || vid_mate_url.length <= 0)
	{
		return null;
    }

	if(-1 == vid_mate_url.indexOf("song/") && -1 == vid_mate_url.indexOf("genre/") && -1 == vid_mate_url.indexOf("album/")&& -1 == vid_mate_url.indexOf("artist/"))
	{
		return null;
	}

	var music_id = vid_mate_url.substr(vid_mate_url.lastIndexOf('/')+1,vid_mate_url.lastIndexOf('.')-vid_mate_url.lastIndexOf('/')-1);//.substr(vid_mate_url.lastIndexOf('/'),vid_mate_url.lastIndexOf('.'));
	if(music_id)
	{
		return music_id;
	}
	else
	{
		var arr = vid_mate_url.split("video/");
		if(arr!=null && arr.length == 2)
		{
			return arr[1];
		}
	}

	return null;
}

function vid_mate_get_video_info(url){
	vid_mate_setParseMsg(10, 20, 'Start Analytics');
	var downloadUrlParten = new RegExp('play_song([^\"]*?);','gi');
	var downloadJsonArr = document.documentElement.outerHTML.match(downloadUrlParten);
	var songId;
	vid_mate_setParseMsg(10, 20, downloadJsonArr.length);
	vid_mate_setParseMsg(10, 20, downloadJsonArr[0]);
	if(downloadJsonArr.length>0){
		songId = downloadJsonArr[0].substr(downloadJsonArr[0].indexOf('(')+1,downloadJsonArr[0].indexOf(')')-downloadJsonArr[0].indexOf('(')-1);
	}
	vid_mate_setParseMsg(10, 20, songId);
	if(songId.length>0){
		url = 'https://123music.to/ajax/song/sources/'+songId;
	}
	
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info.. ..');
		vid_mate_app_xhr(url);
	} catch (e) {
		vid_mate_error_default('dailymotion 4\r\n' + e.name + ": " + e.message);
		return null;
	}
}

function vid_mate_video_analytics(vm_content){
	vid_mate_setParseMsg(60, 90, 'Start Analytics');
	var jsonObj;
	try{
		jsonObj = JSON.parse(vm_content);
	}
	catch (e){
		vid_mate_setParseMsg(60, 90, vm_content.substr(0,vm_content.indexOf(',"lyrics":')));
		var subjson = vm_content.substr(0,vm_content.indexOf(',"lyrics":'))+'}';
		jsonObj = JSON.parse(subjson);
	}
	//<audio id="jp_audio_0" preload="metadata" src="http://320.s1.mp3.zdn.vn/863488de609a89c4d08b/6223915736745389188?key=atxiO8p3CPOLw9ex04r7qg&amp;expires=1489133878&amp;filename=Green%20Light%20-%20Lorde.mp3"></audio>
    //var downloadUrlParten = new RegExp('<audio id="jp_audio_0" preload="metadata" src=\"([^\"]*?)\"></audio>','gi');
	//var downloadJsonArr = vm_content.match(downloadUrlParten);
	//var audioSrc = vm_content.substr(vm_content.indexOf("<audio id=\"jp_audio_0\" preload=\"metadata\" src=\"")+47,vm_content.lastIndexOf("\"></audio>")-vm_content.indexOf("<audio id=\"jp_audio_0\" preload=\"metadata\" src=\"")-47);
	//if(downloadJsonArr!=null && downloadJsonArr!=undefined){
		//audioSrc = downloadJsonArr.length > 0?downloadJsonArr[0].substr(downloadJsonArr[0].indexOf("src=\"")+5,downloadJsonArr[0].lastIndexOf("\"")-downloadJsonArr[0].indexOf("src=\"")-5):"";
	//}
	vid_mate_setParseMsg(70, 90, jsonObj);
	
	if(jsonObj!= null && jsonObj!=undefined){
		var sourceObj =jsonObj.sources;
		var audioUrl = sourceObj[0].link_320;
		var audioPoster = '';
		var audioId="123Music";		
		var rtn_video = new vid_mate_video();
		rtn_video.check_type = '123Music';
		rtn_video.title = jsonObj.name;
		rtn_video.picture_default = audioPoster;
		rtn_video.picture_big = audioPoster;
		rtn_video.id = vid_mate_get_music_id(document.URL);
		rtn_video.url = document.URL;
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = audioUrl;
		tmp_video_file.f_id = rtn_video.id + '_1';
		tmp_video_file.format = 'MP3';
		tmp_video_file.title = 'mp3';
		rtn_video.files.push(tmp_video_file);
		try {
			vid_mate_setParseMsg(100, 100, JSON.stringify(rtn_video));
			window.vbrowser.popupVideoInfo(JSON.stringify(rtn_video));
		} catch (e) {

		}
	}
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}
