
function vid_mate_get_video_id() {
    var vid_mate_url = document.URL;
    if (vid_mate_url == null || vid_mate_url.length <= 0) {
        return null;
    }
    if(-1 == vid_mate_url.indexOf("whatsappdaily.com"))
    {
        return null;
    }

    //http://whatsappdaily.com/download/327/most_funny_2014_%28must_watch%29
    var tmp_re = new RegExp("/download/([0-9]+)/");
    if (tmp_re.test(vid_mate_url)) {
        var tmp_m = vid_mate_url.match(tmp_re);
        return tmp_m[1];
    }
    return null;
}

function vid_mate_check() {
    if (vid_mate_get_video_id() == null) {
        vid_mate_set_canDownload(false);
        return false;
    } else {
        vid_mate_set_canDownload(true);
        return true;
    }
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

    var rtn_video = new vid_mate_video();
    rtn_video.check_type = "whatsappdaily";
    var tmp_video_file = new vid_mate_video_file();
    rtn_video.id = vid_mate_get_video_id();

    var tmp_content = "";

    if(vm_content.length > 128)
    {
        tmp_content = vm_content;
    }
    else
    {
        tmp_content = document.body.innerHTML;
    }

    if (-1 == tmp_content.indexOf("mp4"))
    {
        vid_mate_error_default('whatsappdaily 1');
        return null;
    }

    rtn_video.title = "";
    var arr = document.getElementsByTagName("img");
    for(var i=0; i<arr.length; ++i)
    {

        var alt = arr[i].getAttribute("alt");
        if(alt != "Thumb_" + rtn_video.id)
        {
            continue;
        }
        //the first
        var src = arr[i].getAttribute("src");
        if(-1 == src.indexOf("http"))
        {
            src = "http://whatsappdaily.com" + src;
        }
        //rtn_video.title = arr[i].getAttribute("alt");
        rtn_video.picture_default = src;
        rtn_video.picture_big = src;
        break;
    }

    var arr = document.getElementsByTagName("h2");
    if(arr.length > 0)
    {
        var title = arr[1].innerText;
        title = title.replace("Free Download WhatsApp Video ", "");
        rtn_video.title = title;
    }

    var videoUrl = "";
    //var tmp_re = new RegExp("href=\"(.+?)\">\\\[Download File\\\]");
    var tmp_re = new RegExp("href=\"\\\/files\\\/(.+?)\"");
    if (tmp_re.test(tmp_content)) {
        var tmp_m = tmp_content.match(tmp_re);
        videoUrl = tmp_m[1];
        videoUrl = "http://whatsappdaily.com/files/" + videoUrl;
    }
    if("" == videoUrl)
    {
        vid_mate_error_default('whatsappdaily videoUrl is empty');
        return null;
    }

    rtn_video.url = document.URL;

    //videoUrl = decodeURIComponent(videoUrl);
    //videoUrl = videoUrl.replace(/&amp;/g, "&");
    //videoUrl = videoUrl.replace(/ /g, "%20");
    var tmp_video_file = new vid_mate_video_file();
    tmp_video_file.url = videoUrl;
    var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
    tmp_video_file.format = "mp4";
    tmp_video_file.title = "mp4";
    tmp_video_file.f_id = rtn_video.id;
    rtn_video.files.push(tmp_video_file);

    vid_mate_setParseMsg(100, 100, 'Completed');
    vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

    if (!vid_mate_check()) {
        return null;
    }

    var vid_mate_video_id = vid_mate_get_video_id();
    vid_mate_setParseMsg(20, 60, 'Get Video Info');

    var tmp_content = document.body.innerHTML;
    //if(-1 == tmp_content.indexOf("mp4"))
    if(0)
    {
        var url = document.URL;
        var referer = url;
        var cookie = "";
        var userAgent = "Mozilla/5.0 (Linux; Android 4."+rand_num(0,4)+"; Build/KRT16M) AppleWebKit/"+rand_num(100,537)+".36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/"+rand_num(300,400)+".36";
        var method = "get";
        var data = "";
        vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
    }
    else
    {
        vid_mate_video_analytics(vid_mate_video_id);
    }
}

function rand_num(min, max)
{
    return parseInt(Math.random() * (max - min) + min);
}


