var global_rtn_video = global_rtn_video || null;
var vid_mate_video_id = null;
var global_timer = null;
var global_count = 0;

function vid_mate_get_video_id() {
	var vid_mate_url = document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	if(-1 == vid_mate_url.indexOf("catid=9"))
	{
		return null;
	}
	
	var tmp_re = new RegExp("cid=([0-9]+)&");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check() {
    if (vid_mate_get_video_id() == null) {
        vid_mate_set_canDownload(false);
		return false;
	} else {
		vid_mate_set_canDownload(true);
		return true;
	}
}


function vid_mate_video_analytics() {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');
	global_count = global_count + 1;
	if(global_count > 20 && global_timer)
	{
		clearInterval(global_timer);
	}
	
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "mobango";
	var tmp_content = "";
	if(vid_mate_video_id.length > 128)
	{
		tmp_content = vid_mate_video_id;
		rtn_video.id = vid_mate_get_video_id();
	}
	else
	{
		tmp_content = document.body.innerHTML;
		rtn_video.id = vid_mate_video_id;
	}

	rtn_video.url = document.URL;
	rtn_video.title = "";

	var tmp_re = new RegExp("<h1 class=\"title\" itemprop=\"name\">(.+?)</h1>");
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		rtn_video.title = tmp_m[1];
	}

	var tmp_re = new RegExp("<i class=\"aic sic aic-time\"><\/i> ([0-9]+):([0-9]+):([0-9]+)");
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		rtn_video.duration = parseInt(tmp_m[1]) * 3600 + parseInt(tmp_m[2]) * 60 + parseInt(tmp_m[3]);
	}

	var videoUrl = "";
	if(tmp_content)
	{
		var id = "id=\"" + rtn_video.id + "\"" + " src=\"";
		videoUrl = cutstr(tmp_content, id, "\"");
		//if(!videoUrl)
		//{
		//	vid_mate_error_default('mobango not get result');
		//	return null;
		//}
		
		var img = cutstr(tmp_content, "background: url('", "')");
		if(img)
		{
			rtn_video.picture_default = img;
			rtn_video.picture_big = img;
		}
	}
	
	if(videoUrl)
	{
		if(global_timer)
		{
			clearInterval(global_timer);
		}
		
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.f_id = rtn_video.id + '_1';
		tmp_video_file.url = videoUrl;
		var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = tmp_format;
		rtn_video.files.push(tmp_video_file);
		vid_mate_setParseMsg(100, 100, 'Completed');
		vid_mate_set_videoInfo(JSON.stringify(rtn_video));
	}
	else
	{
		return;
	}
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info .. .. ..');
	global_timer = setInterval(vid_mate_video_analytics, 2000);
}

function cutstr(content, prefix, suffix)
{
        var prefix_len = prefix.length;
        var p1 = content.indexOf(prefix);
        if(-1 == p1)
        {
                return "";
        }
        p1 += prefix_len;
        var p2 = content.indexOf(suffix, p1);
        if(-1 == p2)
        {
                return "";
        }
        return content.substring(p1, p2);
}