var global_rtn_video = global_rtn_video || null;

function vid_mate_get_video_id() {
	var vid_mate_url = document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://songsgig.in/album/442932625/kill-dil
	if(-1 == vid_mate_url.indexOf("songsgig"))
	{
		return null;
	}
	var tmp_re = new RegExp("/album/([0-9]+)/");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "songsgig";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id();

	rtn_video.title = "";

	var document_title = document.title;
	var document_title_array = document_title.split(" - ");

	document_title_array.pop();
	document_title_array.pop();
	document_title = document_title_array.join(" - ");
	videoTitle = document_title;

	rtn_video.title = videoTitle;

	var imgArray = document.getElementsByTagName("img");
	for(var i=0; i<imgArray.length; ++i)
	{
		var obj = imgArray[i];
		if("artwork" == obj.className)
		{
			var src = obj.getAttribute("src");
			rtn_video.picture_default = src;
			rtn_video.picture_big = src;
			break;
		}
	}

	var aArray = document.getElementsByTagName("a");
	for(var i=0; i<aArray.length; ++i)
	{
		var obj = aArray[i];
		var videoUrl = obj.getAttribute("href");
		var videoName = obj.innerText;
		var tmp_re = new RegExp("/download/([0-9]+)/");
		if (tmp_re.test(videoUrl))
		{
			if(-1 == videoUrl.indexOf("http"))
			{
				videoUrl = "http://songsgig.in" + videoUrl;
			}

			var tmp_video_file = new vid_mate_video_file();
			tmp_video_file.url = videoUrl;
			var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
			tmp_video_file.format = tmp_format;
			tmp_video_file.title = videoName;
			tmp_video_file.f_id = rtn_video.id + "_"+ videoName.replace(/ /g, "");
			rtn_video.files.push(tmp_video_file);
		}
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	//vid_mate_video_analytics(vid_mate_video_id);
	setTimeout("vid_mate_video_analytics()", 1000);
}


