var global_document_url = global_document_url || null;
var global_video_id = global_video_id || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	//http://www.goplay.com/embed/PTg5OCQnbiFoJiA.html
	if(-1 == vid_mate_url.indexOf("goplay"))
	{
		return null;
	}
	
	if(-1 == vid_mate_url.indexOf("/embed/") && -1 == vid_mate_url.indexOf("/show/"))
	{
		return null;
	}
	
	if(-1 == vid_mate_url.indexOf(".html"))
	{
		return null;
	}
	
	var arr = vid_mate_url.split("/");
	if(arr.length == 5)
	{
		var video_id = arr[4];
		video_id = video_id.replace(".html", "");
		video_id = "goplay_" + video_id;
		return video_id;
	}
	
	return null;
}

function vid_mate_check() 
{
	if (vid_mate_get_video_id() == null) 
	{
		vid_mate_set_canDownload(false);
		return false;
	} 
	else 
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
     url = document.URL;
    vid_mate_setParseMsg(10, 20, 'Start Analytics');
	var vid_mate_video_id = vid_mate_get_video_id(url);
	global_video_id = vid_mate_video_id;
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info.... ....');
		
		var referer = url;
		var cookie = "";
		var tmp_url  = "http://api.test.vidmate.net/proxy/get_goplay.php?url=" + encodeURIComponent(url); 
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}
		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(tmp_url, referer, cookie, userAgent, method, data);

	} catch (e) {
		vid_mate_error_default('goplay 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
try {
	    var videoElement = document.getElementById('home_video_html5_api');
	    //vid_mate_setParseMsg(88, 88, videoElement.getAttribute('src'));
	    if(videoElement!=null){
	    	var sourceElements = videoElement.getElementsByTagName('source');

	    	var rtn_video = new vid_mate_video();
	    	rtn_video.check_type = 'goPlay';
	    	rtn_video.title = document.title;
	    	rtn_video.picture_default = '';
	    	rtn_video.picture_big = '';
	    	rtn_video.id = vid_mate_get_video_id(document.url);
	    	rtn_video.url = document.url;
	    	for(var i=0; i<sourceElements.length;i++){
	    		var tmp_video_file = new vid_mate_video_file();
	    		tmp_video_file.url = sourceElements[i].getAttribute('src');
	    		tmp_video_file.height = sourceElements[i].getAttribute('res');
	    		tmp_video_file.quality = "30";
	    		tmp_video_file.format = 'MP4';
	    		tmp_video_file.title = sourceElements[i].getAttribute('label')==null? sourceElements[i].getAttribute('data-res'):sourceElements[i].getAttribute('label');
	    		if(tmp_video_file.url!=null && tmp_video_file.url.length>0)
	    			rtn_video.files.push(tmp_video_file);
	    	}
	    	vid_mate_setParseMsg(100, 100, JSON.stringify(rtn_video));
	    	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
	    }
	}
	catch(e){
        vid_mate_error_default('analytics error');
	}
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}
