var CryptoJS=CryptoJS||function(u,p){var d={},l=d.lib={},s=function(){},t=l.Base={extend:function(a){s.prototype=this;var c=new s;a&&c.mixIn(a);c.hasOwnProperty("init")||(c.init=function(){c.$super.init.apply(this,arguments)});c.init.prototype=c;c.$super=this;return c},create:function(){var a=this.extend();a.init.apply(a,arguments);return a},init:function(){},mixIn:function(a){for(var c in a)a.hasOwnProperty(c)&&(this[c]=a[c]);a.hasOwnProperty("toString")&&(this.toString=a.toString)},clone:function(){return this.init.prototype.extend(this)}},r=l.WordArray=t.extend({init:function(a,c){a=this.words=a||[];this.sigBytes=c!=p?c:4*a.length},toString:function(a){return(a||v).stringify(this)},concat:function(a){var c=this.words,e=a.words,j=this.sigBytes;a=a.sigBytes;this.clamp();if(j%4)for(var k=0;k<a;k++)c[j+k>>>2]|=(e[k>>>2]>>>24-8*(k%4)&255)<<24-8*((j+k)%4);else if(65535<e.length)for(k=0;k<a;k+=4)c[j+k>>>2]=e[k>>>2];else c.push.apply(c,e);this.sigBytes+=a;return this},clamp:function(){var a=this.words,c=this.sigBytes;a[c>>>2]&=4294967295<<32-8*(c%4);a.length=u.ceil(c/4)},clone:function(){var a=t.clone.call(this);a.words=this.words.slice(0);return a},random:function(a){for(var c=[],e=0;e<a;e+=4)c.push(4294967296*u.random()|0);return new r.init(c,a)}}),w=d.enc={},v=w.Hex={stringify:function(a){var c=a.words;a=a.sigBytes;for(var e=[],j=0;j<a;j++){var k=c[j>>>2]>>>24-8*(j%4)&255;e.push((k>>>4).toString(16));e.push((k&15).toString(16))}return e.join("")},parse:function(a){for(var c=a.length,e=[],j=0;j<c;j+=2)e[j>>>3]|=parseInt(a.substr(j,2),16)<<24-4*(j%8);return new r.init(e,c/2)}},b=w.Latin1={stringify:function(a){var c=a.words;a=a.sigBytes;for(var e=[],j=0;j<a;j++)e.push(String.fromCharCode(c[j>>>2]>>>24-8*(j%4)&255));return e.join("")},parse:function(a){for(var c=a.length,e=[],j=0;j<c;j++)e[j>>>2]|=(a.charCodeAt(j)&255)<<24-8*(j%4);return new r.init(e,c)}},x=w.Utf8={stringify:function(a){try{return decodeURIComponent(escape(b.stringify(a)))}catch(c){throw Error("Malformed UTF-8 data");}},parse:function(a){return b.parse(unescape(encodeURIComponent(a)))}},q=l.BufferedBlockAlgorithm=t.extend({reset:function(){this._data=new r.init;this._nDataBytes=0},_append:function(a){"string"==typeof a&&(a=x.parse(a));this._data.concat(a);this._nDataBytes+=a.sigBytes},_process:function(a){var c=this._data,e=c.words,j=c.sigBytes,k=this.blockSize,b=j/(4*k),b=a?u.ceil(b):u.max((b|0)-this._minBufferSize,0);a=b*k;j=u.min(4*a,j);if(a){for(var q=0;q<a;q+=k)this._doProcessBlock(e,q);q=e.splice(0,a);c.sigBytes-=j}return new r.init(q,j)},clone:function(){var a=t.clone.call(this);a._data=this._data.clone();return a},_minBufferSize:0});l.Hasher=q.extend({cfg:t.extend(),init:function(a){this.cfg=this.cfg.extend(a);this.reset()},reset:function(){q.reset.call(this);this._doReset()},update:function(a){this._append(a);this._process();return this},finalize:function(a){a&&this._append(a);return this._doFinalize()},blockSize:16,_createHelper:function(a){return function(b,e){return(new a.init(e)).finalize(b)}},_createHmacHelper:function(a){return function(b,e){return(new n.HMAC.init(a,e)).finalize(b)}}});var n=d.algo={};return d}(Math);(function(){var u=CryptoJS,p=u.lib.WordArray;u.enc.Base64={stringify:function(d){var l=d.words,p=d.sigBytes,t=this._map;d.clamp();d=[];for(var r=0;r<p;r+=3)for(var w=(l[r>>>2]>>>24-8*(r%4)&255)<<16|(l[r+1>>>2]>>>24-8*((r+1)%4)&255)<<8|l[r+2>>>2]>>>24-8*((r+2)%4)&255,v=0;4>v&&r+0.75*v<p;v++)d.push(t.charAt(w>>>6*(3-v)&63));if(l=t.charAt(64))for(;d.length%4;)d.push(l);return d.join("")},parse:function(d){var l=d.length,s=this._map,t=s.charAt(64);t&&(t=d.indexOf(t),-1!=t&&(l=t));for(var t=[],r=0,w=0;w<l;w++)if(w%4){var v=s.indexOf(d.charAt(w-1))<<2*(w%4),b=s.indexOf(d.charAt(w))>>>6-2*(w%4);t[r>>>2]|=(v|b)<<24-8*(r%4);r++}return p.create(t,r)},_map:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/="}})();(function(u){function p(b,n,a,c,e,j,k){b=b+(n&a|~n&c)+e+k;return(b<<j|b>>>32-j)+n}function d(b,n,a,c,e,j,k){b=b+(n&c|a&~c)+e+k;return(b<<j|b>>>32-j)+n}function l(b,n,a,c,e,j,k){b=b+(n^a^c)+e+k;return(b<<j|b>>>32-j)+n}function s(b,n,a,c,e,j,k){b=b+(a^(n|~c))+e+k;return(b<<j|b>>>32-j)+n}for(var t=CryptoJS,r=t.lib,w=r.WordArray,v=r.Hasher,r=t.algo,b=[],x=0;64>x;x++)b[x]=4294967296*u.abs(u.sin(x+1))|0;r=r.MD5=v.extend({_doReset:function(){this._hash=new w.init([1732584193,4023233417,2562383102,271733878])},_doProcessBlock:function(q,n){for(var a=0;16>a;a++){var c=n+a,e=q[c];q[c]=(e<<8|e>>>24)&16711935|(e<<24|e>>>8)&4278255360}var a=this._hash.words,c=q[n+0],e=q[n+1],j=q[n+2],k=q[n+3],z=q[n+4],r=q[n+5],t=q[n+6],w=q[n+7],v=q[n+8],A=q[n+9],B=q[n+10],C=q[n+11],u=q[n+12],D=q[n+13],E=q[n+14],x=q[n+15],f=a[0],m=a[1],g=a[2],h=a[3],f=p(f,m,g,h,c,7,b[0]),h=p(h,f,m,g,e,12,b[1]),g=p(g,h,f,m,j,17,b[2]),m=p(m,g,h,f,k,22,b[3]),f=p(f,m,g,h,z,7,b[4]),h=p(h,f,m,g,r,12,b[5]),g=p(g,h,f,m,t,17,b[6]),m=p(m,g,h,f,w,22,b[7]),f=p(f,m,g,h,v,7,b[8]),h=p(h,f,m,g,A,12,b[9]),g=p(g,h,f,m,B,17,b[10]),m=p(m,g,h,f,C,22,b[11]),f=p(f,m,g,h,u,7,b[12]),h=p(h,f,m,g,D,12,b[13]),g=p(g,h,f,m,E,17,b[14]),m=p(m,g,h,f,x,22,b[15]),f=d(f,m,g,h,e,5,b[16]),h=d(h,f,m,g,t,9,b[17]),g=d(g,h,f,m,C,14,b[18]),m=d(m,g,h,f,c,20,b[19]),f=d(f,m,g,h,r,5,b[20]),h=d(h,f,m,g,B,9,b[21]),g=d(g,h,f,m,x,14,b[22]),m=d(m,g,h,f,z,20,b[23]),f=d(f,m,g,h,A,5,b[24]),h=d(h,f,m,g,E,9,b[25]),g=d(g,h,f,m,k,14,b[26]),m=d(m,g,h,f,v,20,b[27]),f=d(f,m,g,h,D,5,b[28]),h=d(h,f,m,g,j,9,b[29]),g=d(g,h,f,m,w,14,b[30]),m=d(m,g,h,f,u,20,b[31]),f=l(f,m,g,h,r,4,b[32]),h=l(h,f,m,g,v,11,b[33]),g=l(g,h,f,m,C,16,b[34]),m=l(m,g,h,f,E,23,b[35]),f=l(f,m,g,h,e,4,b[36]),h=l(h,f,m,g,z,11,b[37]),g=l(g,h,f,m,w,16,b[38]),m=l(m,g,h,f,B,23,b[39]),f=l(f,m,g,h,D,4,b[40]),h=l(h,f,m,g,c,11,b[41]),g=l(g,h,f,m,k,16,b[42]),m=l(m,g,h,f,t,23,b[43]),f=l(f,m,g,h,A,4,b[44]),h=l(h,f,m,g,u,11,b[45]),g=l(g,h,f,m,x,16,b[46]),m=l(m,g,h,f,j,23,b[47]),f=s(f,m,g,h,c,6,b[48]),h=s(h,f,m,g,w,10,b[49]),g=s(g,h,f,m,E,15,b[50]),m=s(m,g,h,f,r,21,b[51]),f=s(f,m,g,h,u,6,b[52]),h=s(h,f,m,g,k,10,b[53]),g=s(g,h,f,m,B,15,b[54]),m=s(m,g,h,f,e,21,b[55]),f=s(f,m,g,h,v,6,b[56]),h=s(h,f,m,g,x,10,b[57]),g=s(g,h,f,m,t,15,b[58]),m=s(m,g,h,f,D,21,b[59]),f=s(f,m,g,h,z,6,b[60]),h=s(h,f,m,g,C,10,b[61]),g=s(g,h,f,m,j,15,b[62]),m=s(m,g,h,f,A,21,b[63]);a[0]=a[0]+f|0;a[1]=a[1]+m|0;a[2]=a[2]+g|0;a[3]=a[3]+h|0},_doFinalize:function(){var b=this._data,n=b.words,a=8*this._nDataBytes,c=8*b.sigBytes;n[c>>>5]|=128<<24-c%32;var e=u.floor(a/4294967296);n[(c+64>>>9<<4)+15]=(e<<8|e>>>24)&16711935|(e<<24|e>>>8)&4278255360;n[(c+64>>>9<<4)+14]=(a<<8|a>>>24)&16711935|(a<<24|a>>>8)&4278255360;b.sigBytes=4*(n.length+1);this._process();b=this._hash;n=b.words;for(a=0;4>a;a++)c=n[a],n[a]=(c<<8|c>>>24)&16711935|(c<<24|c>>>8)&4278255360;return b},clone:function(){var b=v.clone.call(this);b._hash=this._hash.clone();return b}});t.MD5=v._createHelper(r);t.HmacMD5=v._createHmacHelper(r)})(Math);(function(){var u=CryptoJS,p=u.lib,d=p.Base,l=p.WordArray,p=u.algo,s=p.EvpKDF=d.extend({cfg:d.extend({keySize:4,hasher:p.MD5,iterations:1}),init:function(d){this.cfg=this.cfg.extend(d)},compute:function(d,r){for(var p=this.cfg,s=p.hasher.create(),b=l.create(),u=b.words,q=p.keySize,p=p.iterations;u.length<q;){n&&s.update(n);var n=s.update(d).finalize(r);s.reset();for(var a=1;a<p;a++)n=s.finalize(n),s.reset();b.concat(n)}b.sigBytes=4*q;return b}});u.EvpKDF=function(d,l,p){return s.create(p).compute(d,l)}})();CryptoJS.lib.Cipher||function(u){var p=CryptoJS,d=p.lib,l=d.Base,s=d.WordArray,t=d.BufferedBlockAlgorithm,r=p.enc.Base64,w=p.algo.EvpKDF,v=d.Cipher=t.extend({cfg:l.extend(),createEncryptor:function(e,a){return this.create(this._ENC_XFORM_MODE,e,a)},createDecryptor:function(e,a){return this.create(this._DEC_XFORM_MODE,e,a)},init:function(e,a,b){this.cfg=this.cfg.extend(b);this._xformMode=e;this._key=a;this.reset()},reset:function(){t.reset.call(this);this._doReset()},process:function(e){this._append(e);return this._process()},finalize:function(e){e&&this._append(e);return this._doFinalize()},keySize:4,ivSize:4,_ENC_XFORM_MODE:1,_DEC_XFORM_MODE:2,_createHelper:function(e){return{encrypt:function(b,k,d){return("string"==typeof k?c:a).encrypt(e,b,k,d)},decrypt:function(b,k,d){return("string"==typeof k?c:a).decrypt(e,b,k,d)}}}});d.StreamCipher=v.extend({_doFinalize:function(){return this._process(!0)},blockSize:1});var b=p.mode={},x=function(e,a,b){var c=this._iv;c?this._iv=u:c=this._prevBlock;for(var d=0;d<b;d++)e[a+d]^=c[d]},q=(d.BlockCipherMode=l.extend({createEncryptor:function(e,a){return this.Encryptor.create(e,a)},createDecryptor:function(e,a){return this.Decryptor.create(e,a)},init:function(e,a){this._cipher=e;this._iv=a}})).extend();q.Encryptor=q.extend({processBlock:function(e,a){var b=this._cipher,c=b.blockSize;x.call(this,e,a,c);b.encryptBlock(e,a);this._prevBlock=e.slice(a,a+c)}});q.Decryptor=q.extend({processBlock:function(e,a){var b=this._cipher,c=b.blockSize,d=e.slice(a,a+c);b.decryptBlock(e,a);x.call(this,e,a,c);this._prevBlock=d}});b=b.CBC=q;q=(p.pad={}).Pkcs7={pad:function(a,b){for(var c=4*b,c=c-a.sigBytes%c,d=c<<24|c<<16|c<<8|c,l=[],n=0;n<c;n+=4)l.push(d);c=s.create(l,c);a.concat(c)},unpad:function(a){a.sigBytes-=a.words[a.sigBytes-1>>>2]&255}};d.BlockCipher=v.extend({cfg:v.cfg.extend({mode:b,padding:q}),reset:function(){v.reset.call(this);var a=this.cfg,b=a.iv,a=a.mode;if(this._xformMode==this._ENC_XFORM_MODE)var c=a.createEncryptor;else c=a.createDecryptor,this._minBufferSize=1;this._mode=c.call(a,this,b&&b.words)},_doProcessBlock:function(a,b){this._mode.processBlock(a,b)},_doFinalize:function(){var a=this.cfg.padding;if(this._xformMode==this._ENC_XFORM_MODE){a.pad(this._data,this.blockSize);var b=this._process(!0)}else b=this._process(!0),a.unpad(b);return b},blockSize:4});var n=d.CipherParams=l.extend({init:function(a){this.mixIn(a)},toString:function(a){return(a||this.formatter).stringify(this)}}),b=(p.format={}).OpenSSL={stringify:function(a){var b=a.ciphertext;a=a.salt;return(a?s.create([1398893684,1701076831]).concat(a).concat(b):b).toString(r)},parse:function(a){a=r.parse(a);var b=a.words;if(1398893684==b[0]&&1701076831==b[1]){var c=s.create(b.slice(2,4));b.splice(0,4);a.sigBytes-=16}return n.create({ciphertext:a,salt:c})}},a=d.SerializableCipher=l.extend({cfg:l.extend({format:b}),encrypt:function(a,b,c,d){d=this.cfg.extend(d);var l=a.createEncryptor(c,d);b=l.finalize(b);l=l.cfg;return n.create({ciphertext:b,key:c,iv:l.iv,algorithm:a,mode:l.mode,padding:l.padding,blockSize:a.blockSize,formatter:d.format})},decrypt:function(a,b,c,d){d=this.cfg.extend(d);b=this._parse(b,d.format);return a.createDecryptor(c,d).finalize(b.ciphertext)},_parse:function(a,b){return"string"==typeof a?b.parse(a,this):a}}),p=(p.kdf={}).OpenSSL={execute:function(a,b,c,d){d||(d=s.random(8));a=w.create({keySize:b+c}).compute(a,d);c=s.create(a.words.slice(b),4*c);a.sigBytes=4*b;return n.create({key:a,iv:c,salt:d})}},c=d.PasswordBasedCipher=a.extend({cfg:a.cfg.extend({kdf:p}),encrypt:function(b,c,d,l){l=this.cfg.extend(l);d=l.kdf.execute(d,b.keySize,b.ivSize);l.iv=d.iv;b=a.encrypt.call(this,b,c,d.key,l);b.mixIn(d);return b},decrypt:function(b,c,d,l){l=this.cfg.extend(l);c=this._parse(c,l.format);d=l.kdf.execute(d,b.keySize,b.ivSize,c.salt);l.iv=d.iv;return a.decrypt.call(this,b,c,d.key,l)}})}();(function(){for(var u=CryptoJS,p=u.lib.BlockCipher,d=u.algo,l=[],s=[],t=[],r=[],w=[],v=[],b=[],x=[],q=[],n=[],a=[],c=0;256>c;c++)a[c]=128>c?c<<1:c<<1^283;for(var e=0,j=0,c=0;256>c;c++){var k=j^j<<1^j<<2^j<<3^j<<4,k=k>>>8^k&255^99;l[e]=k;s[k]=e;var z=a[e],F=a[z],G=a[F],y=257*a[k]^16843008*k;t[e]=y<<24|y>>>8;r[e]=y<<16|y>>>16;w[e]=y<<8|y>>>24;v[e]=y;y=16843009*G^65537*F^257*z^16843008*e;b[k]=y<<24|y>>>8;x[k]=y<<16|y>>>16;q[k]=y<<8|y>>>24;n[k]=y;e?(e=z^a[a[a[G^z]]],j^=a[a[j]]):e=j=1}var H=[0,1,2,4,8,16,32,64,128,27,54],d=d.AES=p.extend({_doReset:function(){for(var a=this._key,c=a.words,d=a.sigBytes/4,a=4*((this._nRounds=d+6)+1),e=this._keySchedule=[],j=0;j<a;j++)if(j<d)e[j]=c[j];else{var k=e[j-1];j%d?6<d&&4==j%d&&(k=l[k>>>24]<<24|l[k>>>16&255]<<16|l[k>>>8&255]<<8|l[k&255]):(k=k<<8|k>>>24,k=l[k>>>24]<<24|l[k>>>16&255]<<16|l[k>>>8&255]<<8|l[k&255],k^=H[j/d|0]<<24);e[j]=e[j-d]^k}c=this._invKeySchedule=[];for(d=0;d<a;d++)j=a-d,k=d%4?e[j]:e[j-4],c[d]=4>d||4>=j?k:b[l[k>>>24]]^x[l[k>>>16&255]]^q[l[k>>>8&255]]^n[l[k&255]]},encryptBlock:function(a,b){this._doCryptBlock(a,b,this._keySchedule,t,r,w,v,l)},decryptBlock:function(a,c){var d=a[c+1];a[c+1]=a[c+3];a[c+3]=d;this._doCryptBlock(a,c,this._invKeySchedule,b,x,q,n,s);d=a[c+1];a[c+1]=a[c+3];a[c+3]=d},_doCryptBlock:function(a,b,c,d,e,j,l,f){for(var m=this._nRounds,g=a[b]^c[0],h=a[b+1]^c[1],k=a[b+2]^c[2],n=a[b+3]^c[3],p=4,r=1;r<m;r++)var q=d[g>>>24]^e[h>>>16&255]^j[k>>>8&255]^l[n&255]^c[p++],s=d[h>>>24]^e[k>>>16&255]^j[n>>>8&255]^l[g&255]^c[p++],t=d[k>>>24]^e[n>>>16&255]^j[g>>>8&255]^l[h&255]^c[p++],n=d[n>>>24]^e[g>>>16&255]^j[h>>>8&255]^l[k&255]^c[p++],g=q,h=s,k=t;q=(f[g>>>24]<<24|f[h>>>16&255]<<16|f[k>>>8&255]<<8|f[n&255])^c[p++];s=(f[h>>>24]<<24|f[k>>>16&255]<<16|f[n>>>8&255]<<8|f[g&255])^c[p++];t=(f[k>>>24]<<24|f[n>>>16&255]<<16|f[g>>>8&255]<<8|f[h&255])^c[p++];n=(f[n>>>24]<<24|f[g>>>16&255]<<16|f[h>>>8&255]<<8|f[k&255])^c[p++];a[b]=q;a[b+1]=s;a[b+2]=t;a[b+3]=n},keySize:8});u.AES=p._createHelper(d)})();

CryptoJS.pad.ZeroPadding = {
	pad: function (data, blockSize) {
		// Shortcut
		var blockSizeBytes = blockSize * 4;
		// Pad
		data.clamp();
		data.sigBytes += blockSizeBytes - ((data.sigBytes % blockSizeBytes) || blockSizeBytes);
	},
	unpad: function (data) {
		// Shortcut
		var dataWords = data.words;
		// Unpad
		var i = data.sigBytes - 1;
		while (!((dataWords[i >>> 2] >>> (24 - (i % 4) * 8)) & 0xff)) {
			i--;
		}
		data.sigBytes = i + 1;
	}
};

var VID_MATE_YTB_FORMAT = [
	{ itag: 5, width: 320, height: 240, format: "FLV", acodec: "MP3", vcodec: "H.263", quality: "240p", title: "320x240(FLV 240p)", canList: false },
	{ itag: 17, width: 176, height: 144, format: "3GP", acodec: "AAC", vcodec: "MPEG-4", quality: "144p", title: "176x144(3GP 144p)", canList: true },
    { itag: 18, width: 640, height: 360, format: "MP4", acodec: "AAC", vcodec: "MPEG-4", quality: "360p", title: "640x360(MP4 360p)", canList: true },
    { itag: 22, width: 1280, height: 720, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "720p", title: "1280x720(MP4 720p)", canList: true },
    { itag: 34, width: 640, height: 360, format: "FLV", acodec: "AAC", vcodec: "H.264", quality: "360p", title: "640x360(FLV 360p)", canList: true },
    { itag: 35, width: 854, height: 480, format: "FLV", acodec: "AAC", vcodec: "H.264", quality: "480p", title: "854x480(FLV 480p)", canList: true },
    { itag: 36, width: 320, height: 240, format: "3GP", acodec: "AAC", vcodec: "MPEG-4", quality: "240p", title: "320x240(3GP 240p)", canList: true },
    { itag: 37, width: 1920, height: 1080, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: true },
    { itag: 38, width: 2048, height: 1536, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "4K", title: "2048x1536(MP4 4K)", canList: true },
    { itag: 43, width: 640, height: 360, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "360p", title: "640x360(WEBM 360p)", canList: true },
    { itag: 44, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(WEBM 480p)", canList: true },
    { itag: 45, width: 1280, height: 720, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "720p", title: "1280x720(WEBM 720p)", canList: true },
    { itag: 46, width: 1920, height: 1080, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "1080p", title: "1920x1080(WEBM 1080p)", canList: true },
    { itag: 82, width: 640, height: 360, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "360p", title: "640x360(MP4 360p)", canList: true },
    { itag: 83, width: 854, height: 480, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "480p", title: "854x480(MP4 480p)", canList: true },
    { itag: 84, width: 1280, height: 720, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "720p", title: "1280x720(MP4 720p)", canList: true },
    { itag: 85, width: 1920, height: 1080, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: true },
    { itag: 100, width: 640, height: 360, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "360p", title: "640x360(WEBM 360p)", canList: true },
    { itag: 101, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(WEBM 480p)", canList: true },
    { itag: 102, width: 1280, height: 720, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "720p", title: "1280x720(WEBM 720p)", canList: true },
    { itag: 133, width: 320, height: 240, format: "MP4", acodec: "", vcodec: "H.264", quality: "240p", title: "320x240(MP4 240p)", canList: false },
    { itag: 134, width: 640, height: 360, format: "MP4", acodec: "", vcodec: "H.264", quality: "360p", title: "640x360(MP4 360p)", canList: false },
    { itag: 135, width: 854, height: 480, format: "MP4", acodec: "", vcodec: "H.264", quality: "480p", title: "854x480(MP4 480p)", canList: false },
    { itag: 136, width: 1280, height: 720, format: "MP4", acodec: "", vcodec: "H.264", quality: "720p", title: "1280x720(MP4 720p)", canList: false },
    { itag: 137, width: 1920, height: 1020, format: "MP4", acodec: "", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: false },
    { itag: 138, width: 2048, height: 1536, format: "MP4", acodec: "", vcodec: "H.264", quality: "4K", title: "2048x1536(MP4 4K)", canList: false },
    { itag: 139, width: 0, height: 0, format: "M4A", acodec: "AAC", vcodec: "", quality: "48kbps", title: "Music - M4A", canList: true },
    { itag: 140, width: 0, height: 0, format: "M4A", acodec: "AAC", vcodec: "", quality: "128kbps", title: "Music - M4A", canList: true },
    { itag: 141, width: 0, height: 0, format: "M4A", acodec: "AAC", vcodec: "", quality: "256kbps", title: "Music - M4A", canList: true },
    { itag: 160, width: 176, height: 144, format: "MP4", acodec: "", vcodec: "H.264", quality: "144p", title: "176x144(MP4 144p)", canList: false },
    { itag: 171, width: 0, height: 0, format: "WebM", acodec: "Vorbis", vcodec: "", quality: "128kbps", title: "WEBM(Vorbis 128k)", canList: false },
    { itag: 172, width: 0, height: 0, format: "WebM", acodec: "Vorbis", vcodec: "", quality: "256kbps", title: "WEBM(Vorbis 256k)", canList: false },
    { itag: 242, width: 320, height: 240, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "240p", title: "320x240(WEBM 240p)", canList: false },
    { itag: 243, width: 640, height: 360, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "360p", title: "640x360(WEBM 360p)", canList: false },
    { itag: 244, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(FLV 480p)", canList: false },
    { itag: 245, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(FLV 480p)", canList: false },
    { itag: 246, width: 854, height: 480, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "480p", title: "854x480(FLV 480p)", canList: false },
    { itag: 247, width: 1280, height: 720, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "720p", title: "1280x720(WEBM 720p)", canList: false },
    { itag: 248, width: 1920, height: 1080, format: "WebM", acodec: "Vorbis", vcodec: "VP8", quality: "1080p", title: "1920x1080(WEBM 1080p)", canList: false },
    { itag: 264, width: 1920, height: 1080, format: "MP4", acodec: "AAC", vcodec: "H.264", quality: "1080p", title: "1920x1080(MP4 1080p)", canList: false }
];

//for blank
var global_document_url = global_document_url || "xxxx";
var global_vid_mate_video_id = global_vid_mate_video_id || 998;
var global_m4a_filesize = 0;
var global_show_tip = true;
var global_verify_age = false;
var global_rtn_video = global_rtn_video || null;

function vid_mate_video_ytb_getFormat(itag)
{
    for (var i = 0; i < VID_MATE_YTB_FORMAT.length; i++)
	{
        if (VID_MATE_YTB_FORMAT[i].itag == itag)
		{
            return VID_MATE_YTB_FORMAT[i];
        }
    }
    return null;
}

function vid_mate_check() {
    return false;
}
	
function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0)
	{
		return null;
	}

	if(vid_mate_url.indexOf('/?#/') > 0)
	{
		vid_mate_url = vid_mate_url.replace("/?#/","/");
	}

	ret = vid_mate_get_parameter(vid_mate_url, 'v');
	if(!ret && -1 != vid_mate_url.indexOf("verify_age"))
	{
		var next = vid_mate_get_parameter(vid_mate_url, 'next');
		next = decodeURIComponent(next);
		ret = vid_mate_get_parameter(next, 'v');
		if(ret)
		{
			global_verify_age = true;
		}
	}

	if(ret && ret.length > 100)
	{
		return null;
	}
	return ret;
}

function youtube_xhr_result_www()
{
    var vid_mate_response;

	try
	{
        vid_mate_response = window.vbrowser.getHttpRes();
    }
	catch (e)
	{
		try_backend_cache('youtube', global_vid_mate_video_id);
		return null;
	}

    if (vid_mate_response != null && vid_mate_response.length > 0)
	{
        vid_mate_video_analytics(vid_mate_response);
    }
	else
	{
		try_backend_cache('youtube', global_vid_mate_video_id);
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	var decrypted = CryptoJS.AES.decrypt(vm_content,CryptoJS.enc.Latin1.parse("Wap_Ka.mobi.2014"),{iv:CryptoJS.enc.Latin1.parse("Wap_Ka.mobi.2014"),padding:CryptoJS.pad.ZeroPadding});
	var content = decrypted.toString(CryptoJS.enc.Utf8);
	content = content.replace(/'/g, "\"");

	eval(content);
	if(undefined != vidmate_sign_decode && null != vidmate_sign_decode && typeof vidmate_sign_decode == "function")
	{
		for(var i=0; i<global_rtn_video.files.length; ++i)
		{
			var okSign = vidmate_sign_decode(global_rtn_video.files[i].sign);
			if(okSign)
			{
				global_rtn_video.files[i].url += "&signature="+okSign+"&title="+encodeURIComponent(global_rtn_video.title)+"";
			}
		}
	}

	add_mp3(global_rtn_video);
	vid_mate_setParseMsg(100, 100, 'Completed');
	window.vbrowser.popupVideoInfo(JSON.stringify(global_rtn_video));
}

function youtube_xhr_result()
{
    var vid_mate_response;

	try
	{
        vid_mate_response = window.vbrowser.getHttpRes();
    }
	catch (e)
	{
		try_backend_cache('youtube', global_vid_mate_video_id);
		return null;
	}

    if (vid_mate_response != null && vid_mate_response.length > 0)
	{
        youtube_analytics(vid_mate_response);
    }
	else
	{
		try_backend_cache('youtube', global_vid_mate_video_id);
		return null;
	}
}

function youtube_analytics(vm_content)
{
	vid_mate_setParseMsg(60, 90, 'Analytics Video Info..');
	var sign_flag = false;
	var content = vm_content || "";

	if(content && -1 != content.indexOf("url_encoded_fmt_stream_map"))
	{
		var videoTitle = "";
		var videoDuration = 0;
		var url_encoded_fmt_stream_map = "";
		var adaptive_fmts = "";

		var dataArray = content.split("&");
		for(var i=0; i<dataArray.length; ++i)
		{
			var obj = dataArray[i];
			var tmpArray = obj.split("=");
			if(2 != tmpArray.length)
			{
				continue;
			}

			tmpArray[1] = decodeURIComponent(tmpArray[1]);

			if("title" == tmpArray[0])
			{
				videoTitle = tmpArray[1];
			}
			else if("length_seconds" == tmpArray[0])
			{
				videoDuration = tmpArray[1];
			}
			else if("url_encoded_fmt_stream_map" == tmpArray[0])
			{
				url_encoded_fmt_stream_map = tmpArray[1];
			}
			else if("adaptive_fmts" == tmpArray[0])
			{
				adaptive_fmts = tmpArray[1];
			}
		}

		if(0 == url_encoded_fmt_stream_map.length && 0 == adaptive_fmts.length)
		{
			try_backend_cache('youtube', global_vid_mate_video_id);
			return null;
		}

		var rtn_video = new vid_mate_video();
		rtn_video.check_type = "break";
		rtn_video.id = global_vid_mate_video_id;
		rtn_video.title = videoTitle;
		rtn_video.duration = videoDuration;
		rtn_video.url = global_document_url;
		rtn_video.picture_default = 'http://i4.ytimg.com/vi/' + rtn_video.id + '/default.jpg';
		rtn_video.picture_big = 'http://i4.ytimg.com/vi/' + rtn_video.id + '/mqdefault.jpg';

		//url_encoded_fmt_stream_map
		if(url_encoded_fmt_stream_map.length > 0)
		{
			var arr = url_encoded_fmt_stream_map.split(",");
			for(var i=0; i<arr.length; ++i)
			{
				var arr1 = arr[i].split("&");

				var itag = "";
				var sign = "";
				var videoFileUrl = "";
				var videoTitle = "";

				var bitrate = 0;
				var clen = 0;
				var duration = 0;

				for(var j=0; j<arr1.length; ++j)
				{
					var arr2 = arr1[j].split("=");
					if(2 != arr2.length)
					{
						continue;
					}

					if("itag" == arr2[0])
					{
						itag = parseInt(arr2[1]);
					}
					 else if("s" == arr2[0] || "signature" == arr2[0])
					{
						sign = arr2[1];
					}
					else if("url" == arr2[0])
					{
						videoFileUrl = decodeURIComponent(arr2[1]);
					}
					else if("bitrate" == arr2[0])
					{
						bitrate = parseInt(arr2[1]);
					}
					else if("clen" == arr2[0])
					{
						clen = parseInt(arr2[1]);
					}
				}

				if(139 == itag || 140 == itag || 141 == itag)
				{
					if(bitrate > 0 && clen > 0)
					{
						duration = (clen / bitrate) * 8;
						//15 mins
						if(duration < 15 * 60)
						{
							global_m4a_filesize = clen;
						}
					}
				}

				var tmp_format = vid_mate_video_ytb_getFormat(itag);
				if (tmp_format != null && tmp_format.canList)
				{
					var tmp_video_file = new vid_mate_video_file();
					tmp_video_file.f_id = rtn_video.id + "_" + tmp_format.itag;
					tmp_video_file.format = tmp_format.format;
					tmp_video_file.width = tmp_format.width;
					tmp_video_file.height = tmp_format.height;
					tmp_video_file.quality = tmp_format.quality;
					tmp_video_file.title = tmp_format.title;

					if(-1 == videoFileUrl.indexOf("sign") && sign.length > 0)
					{
						var okSign = decodeSig(sign);
						if(okSign)
						{
							videoFileUrl += "&signature="+okSign+"&title="+encodeURIComponent(rtn_video.title)+"";
						}
						else
						{
							tmp_video_file.sign = sign;
						}
					}
					tmp_video_file.url = videoFileUrl;
					rtn_video.files.push(tmp_video_file);
				}
			}
		}

		//adaptive_fmts
		if(adaptive_fmts.length > 0)
		{
			var arr = adaptive_fmts.split(",");
			for(var i=0; i<arr.length; ++i)
			{
				var arr1 = arr[i].split("&");

				var itag = "";
				var sign = "";

				var bitrate = 0;
				var clen = 0;
				var duration = 0;

				var videoFileUrl = "";
				var videoTitle = "";
				for(var j=0; j<arr1.length; ++j)
				{
					var arr2 = arr1[j].split("=");
					if(2 != arr2.length)
					{
						continue;
					}

					if("itag" == arr2[0])
					{
						itag = arr2[1];
					}
					else if("s" == arr2[0])
					{
						sign = arr2[1];
					}
					else if("url" == arr2[0])
					{
						videoFileUrl = decodeURIComponent(arr2[1]);
					}
					else if("bitrate" == arr2[0])
					{
						bitrate = parseInt(arr2[1]);
					}
					else if("clen" == arr2[0])
					{
						clen = parseInt(arr2[1]);
					}
				}

				if(139 == itag || 140 == itag || 141 == itag)
				{
					if(bitrate > 0 && clen > 0)
					{
						duration = (clen / bitrate) * 8;
						//15 mins
						if(duration < 15 * 60)
						{
							global_m4a_filesize = clen;
						}
					}
				}

				var tmp_format = vid_mate_video_ytb_getFormat(itag);
				if (tmp_format != null && tmp_format.canList)
				{
					var tmp_video_file = new vid_mate_video_file();
					tmp_video_file.f_id = rtn_video.id + "_" + tmp_format.itag;
					tmp_video_file.format = tmp_format.format;
					tmp_video_file.width = tmp_format.width;
					tmp_video_file.height = tmp_format.height;
					tmp_video_file.quality = tmp_format.quality;
					tmp_video_file.title = tmp_format.title;

					if(-1 == videoFileUrl.indexOf("sign") && sign.length > 0)
					{
						var okSign = decodeSig(sign);
						if(okSign)
						{
							videoFileUrl += "&signature="+okSign+"&title="+encodeURIComponent(rtn_video.title)+"";
						}
						else
						{
							tmp_video_file.sign = sign;
						}
					}

					tmp_video_file.url = videoFileUrl;
					rtn_video.files.push(tmp_video_file);
				}
			}
		}

		sign_flag = false;
		for(var i=0; i< rtn_video.files.length; ++i)
		{
			var video_url = rtn_video.files[i].url;
			if(-1 != video_url.indexOf("signature"))
			{
				sign_flag = true;
				break;
			}
		}
	}

	if(false == sign_flag)
	{
		global_rtn_video = rtn_video;
		//在这里请求www页面
		var vid_mate_url_get = "http://api.apk.vidmate.net/sign";

		try
		{
			var referer = vid_mate_url_get;
			var cookie = "";
			if(window.vbrowser.httpGetCookie)
			{
				cookie = window.vbrowser.httpGetCookie(global_document_url);
			}
			else
			{
				cookie = document.cookie;
			}

			var userAgent = "Mozilla/5.0 (Linux; U; Android 2.2; en-us; Droid Build/FRG22D) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0";

			window.vbrowser.httpBegin(vid_mate_url_get);
			window.vbrowser.httpSetHeader("Cookie", cookie);
			window.vbrowser.httpSetHeader("Referer", referer);
			window.vbrowser.httpSetHeader("User-Agent", userAgent);
			window.vbrowser.httpGet('youtube_xhr_result_www()');
		}
		catch (e)
		{
			try_backend_cache('youtube', global_vid_mate_video_id);
			return null;
		}
	}
	else
	{
		add_mp3(rtn_video);
		vid_mate_setParseMsg(100, 100, 'Completed');
		window.vbrowser.popupVideoInfo(JSON.stringify(rtn_video));
	}
}

function youtube_vid_mate_get_video_info_on_blank(url)
{
	if(-1 == url.indexOf("v=") && null == vid_mate_get_video_id(url))
	{
		vid_mate_error("Invalid Data, try other resources!", 'youtube bad url for vid_mate_get_video_info_on_blank, url='+url + '\r\nurl:' + document.URL);
		return null;
	}
	return vid_mate_get_video_info_with_url(url);
}

function vid_mate_get_video_info_with_url(url)
{
	global_m4a_filesize = 0;
	global_show_tip = true;
	var vid_mate_video_id = vid_mate_get_video_id(url);
	if(null == vid_mate_video_id)
	{
		return null;
	}
	vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if(global_verify_age)
	{
		global_verify_age = false;
		try_backend_cache("youtube", vid_mate_video_id);
		return null;
	}

	global_vid_mate_video_id = vid_mate_video_id;
	global_document_url = url;


	var url = "http://www.youtube.com/get_video_info?video_id="+global_vid_mate_video_id+"&eurl=https%3A%2F%2Fyoutube.googleapis.com%2Fv%2F"+global_vid_mate_video_id+"&sts=16582";
	//var url = "http://www.youtube.com/get_video_info?video_id="+global_vid_mate_video_id+"&asv=3&el=detailpage&hl=en_US&sts=16230";
	
	vid_mate_setParseMsg(20, 60, 'get video info... .. .');
	try
	{
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/6.0)";

		window.vbrowser.httpBegin(url);
		window.vbrowser.httpSetHeader("Cookie", cookie);
		window.vbrowser.httpSetHeader("Referer", referer);
		window.vbrowser.httpSetHeader("User-Agent", userAgent);
		window.vbrowser.httpGet('youtube_xhr_result()');
	}
	catch (e)
	{
		try_backend_cache('youtube', global_vid_mate_video_id);
		return null;
	}
}

function decodeSig(s)
{
	return "";
}

function add_mp3(rtn_video)
{
	if(global_m4a_filesize <= 0)
	{
		return false;
	}

	var d = new Date();
	var time = d.getTime();

	var videoId = rtn_video.id;
	var token = calc_token(time, videoId);

	for(var i=0; i<rtn_video.files.length; ++i)
	{
		var title = rtn_video.files[i].title.toLowerCase();
		var url = rtn_video.files[i].url;
		if(-1 != title.indexOf("m4a"))
		{
			var mp3FileUrl = "http://api.test.vidmate.net/download1_mp3?videoId="+videoId+"&m4aUrl="+encodeURIComponent(url)+"&token="+token+"&time="+time;
			var tmp_video_file = new vid_mate_video_file();
			tmp_video_file.f_id = rtn_video.id + "_mp3";
			tmp_video_file.format = "mp3";
			tmp_video_file.title = "Music - Mp3";
			tmp_video_file.length = global_m4a_filesize;
			tmp_video_file.url = mp3FileUrl;
			rtn_video.files.push(tmp_video_file);
			break;
		}
	}
	return true;
}

function ord(string)
{
	var str = string + '',
    code = str.charCodeAt(0);
	if (0xD800 <= code && code <= 0xDBFF)
	{
		var hi = code;
		if (str.length === 1) {
			return code;
		}
		var low = str.charCodeAt(1);
		return ((hi - 0xD800) * 0x400) + (low - 0xDC00) + 0x10000;
	}

	if (0xDC00 <= code && code <= 0xDFFF)
	{
		return code;
	}
	return code;
}

function calc_token(time, videoId)
{
	var num = ord(videoId);
	var tmp = time % 3;
	var ret = 0;
	if(0 == tmp)
	{
		ret = parseInt(time/974) * num + parseInt(time/2015) + parseInt(time/797);
	}
	else if(1 == tmp)
	{
		ret = parseInt(time/765) * num - parseInt(time/2015) - parseInt(time/797);
	}
	else if(2 == tmp)
	{
		ret = parseInt(time/457) * num + parseInt(time/234) - parseInt(time/1876);
	}
	return ret;
}

function try_backend_cache(check_type, video_id)
{
	var url = "http://api.test.vidmate.net/backend_cache?check_type="+check_type+"&video_id="+video_id+"";
	try {
		window.vbrowser.httpBegin(url);
		window.vbrowser.httpGet('backend_xhr_result()');
	} catch (e) {
		vid_mate_error_default('youtube_backed 2');
		return null;
	}
}

function backend_xhr_result()
{
    var vid_mate_response;
	try
	{
        vid_mate_response = window.vbrowser.getHttpRes();
    }
	catch (e)
	{
		vid_mate_error_default("youtube_backed 3");
		return null;
	}

    if (vid_mate_response != null && vid_mate_response.length > 0)
	{
        backend_analytics(vid_mate_response);
    }
	else
	{
		vid_mate_error_default("youtube_backed 4");
		return null;
	}
}

function backend_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default("youtube_backed 4.5");
		return null;
	}
	var decrypted = CryptoJS.AES.decrypt(vm_content,CryptoJS.enc.Latin1.parse("Wap_Ka.mobi.2014"),{iv:CryptoJS.enc.Latin1.parse("Wap_Ka.mobi.2014"),padding:CryptoJS.pad.ZeroPadding});
	var content = decrypted.toString(CryptoJS.enc.Utf8);
	if(-1 == content.indexOf("{") || -1 == content.indexOf("}"))
	{
		vid_mate_error_default("youtube_backed 5");
		return null;
	}
	var data = eval('('+content+')');
	if(data)
	{
		vid_mate_setParseMsg(100, 100, 'Completed. . . . . . . . .');
		window.vbrowser.popupVideoInfo(JSON.stringify(data));
	}
	else
	{
		vid_mate_error_default("youtube_backed 6");
		return null;
	}
}

function vid_mate_get_video_info() {
	return null;
}

function checkVideo()
{
	checkingFlag = false;
	if('' == eventCaller)
	{
		return;
	}
	var videoUrl = '';
	var videoTitle = '';
	var videoPoster = '';
	var videoId = '';
	var flag = true;
	var p = '';
	flag = true;
	p = eventCaller.parentNode.parentNode.parentNode;
	while('BODY' != p.tagName && true == flag)
	{
		var divArray = p.getElementsByTagName('div');
		if(divArray.length > 0)
		{
			for(var i=0; i<divArray.length; ++i)
			{
				var obj = divArray[i];
				if("ui-Video js-video" != obj.className)
				{
					continue;
				}
				var data_thirdparty = obj.getAttribute('data-thirdparty');
				videoUrl = data_thirdparty;
				flag = false;
			}
		}
		p = p.parentNode;
	}

	
	if(videoUrl.length > 0)
	{
		youtube_vid_mate_get_video_info_on_blank(videoUrl);
	}
	else
	{
	    flag = true;
		p = eventCaller.parentNode;
		while('BODY' != p.tagName && true == flag)
		{
			var aArray = p.getElementsByTagName('a');
			if(aArray.length > 0)
			{
				for(var j=0; j<aArray.length; ++j)
				{
					var obj1 = aArray[j];
					if("youtube" != obj1.className)
					{	
						continue;
					}
					
					var data_vid = obj1.getAttribute('data-yt-vid');
					videoUrl = "https://www.youtube.com/watch?v=" + data_vid;
					flag = false;
				}
			}
			p = p.parentNode;
		}
		
		if(videoUrl.length > 0)
		{
			youtube_vid_mate_get_video_info_on_blank(videoUrl);
		}
	}
}

var eventCaller = '';
var checkingFlag = false;
function Listener()
{
	eventCaller = event.target;
	checkVideo();
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	
	return content.substring(p1, p2);
}

window.ontouchmove = function()
{ 
	var videos = document.getElementsByClassName('ui-Thumbnail js-thumbnail');
	if(videos.length < 1)
	{
		return;
	}

	var vd = document.body.getElementsByClassName("videoadd");
	if(vd.length < 1)
	{
		var videoadd  = document.createElement('video');
		videoadd.className     = 'videoadd';
		document.body.insertBefore(videoadd, document.body.firstChild);
	}
		
	var pause_arr = document.getElementsByTagName('video');
	if(pause_arr)
	{
		pause_arr[0].addEventListener('pause', Listener1, false);
		pause_arr[0].play();	
	}
	
	for(var i=0; i< videos.length; ++i)
	{
		var video = videos[i];
		var tmp_text = video.parentNode.innerHTML;
		
		if(-1 == tmp_text.indexOf("class=\"ui-Video js-video\""))
		{
			continue;
		}
		
		if(-1 == tmp_text.indexOf("watch?v="))
		{
			continue;
		}
		
		//icon
		if(-1 != video.innerHTML.indexOf("class=\"download\""))
		{
			var d = video.getElementsByClassName("download");
			if(d.length > 0)
			{
				d[0].remove();
			}
		}

		video.style.cssText = "";
		var download           = document.createElement('div');
		download.style.cssText = "position: absolute;z-index: 999999; bottom: 60px; right: 2px;";
		download.className     = 'download';
		download.innerHTML     = "<img src='http://static.vidmate.mobi/images/movie/0/0/download.png' width='80' heigth='60'>";
		download.addEventListener('click', Listener, false);
		download.addEventListener('touchstart', Listener, false);	
		video.insertBefore(download, video.firstChild);
	}
}


function Listener1()
{
	var vd = document.body.getElementsByClassName("videoadd");
	if(vd.length < 1)
	{
		var videoadd  = document.createElement('video');
		videoadd.className     = 'videoadd';
		document.body.insertBefore(videoadd, document.body.firstChild);
	}
		
	var pause_arr = document.getElementsByTagName('video');
	if(pause_arr)
	{
		//pause_arr[0].focus();
		pause_arr[0].addEventListener('pause', Listener1, false);
		pause_arr[0].play();
	}
	
	var PlayerArr = document.getElementsByClassName('ytPlayer');
	if(PlayerArr)
	{
		for(var i = 0; i< PlayerArr.length; i++)
		{
			var player1 = PlayerArr[i];
			if(!player1.getAttribute('src'))
			{
				continue;
			}
			else
			{
				player1.getAttribute('src');
				player1.remove();
				i = i - 1;
			}
		}
	}
	
	PlayerArr = document.getElementsByTagName('video');
	if(PlayerArr)
	{
		for(var i = 0;i < PlayerArr.length; i++)
		{
			PlayerArr[i].pause();
		}
	}
}

