var global_document_url = "";
var global_vid_mate_video_id = "";

function vid_mate_get_video_id(url) {
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	if(vid_mate_url.indexOf('/#!/') > 0) {
		vid_mate_url = vid_mate_url.replace("/#!/","/");
	}

	if(-1 == vid_mate_url.indexOf("vube.com"))
	{
		return null;
	}

	var arr = vid_mate_url.split("?");
	var arr1 = arr[0].split("/");
	if(6 == arr1.length)
	{
		return arr1[5];
	}
	return null;
}

function vid_mate_check(url) {
	if (vid_mate_get_video_id(url) == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "vube";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = global_vid_mate_video_id;

	var tmp_content = vm_content;

	var data = eval('('+tmp_content+')');
	if(!data)
	{
		vid_mate_error_default('vube 1');
		return null;
	}

	var videoTitle = data['title'];
	var videoImg = data['thumbnail_src'];
	if(-1 == videoImg.indexOf("http:"))
	{
		videoImg = "http:" + videoImg;
	}

	var public_id = data['public_id'];
	var videoUrl = "http://video.thestaticvube.com/video/5/"+public_id+".mp4";

	rtn_video.title = videoTitle;
	rtn_video.url = global_document_url;
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;

	tmp_video_file.url = videoUrl;
	tmp_video_file.f_id = rtn_video.id;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;

	rtn_video.files.push(tmp_video_file);
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info(url) {
	if(null == url || undefined == url || 0 == url.length)
	{
		return vid_mate_get_video_info_on_blank(document.URL);
	}
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	if(null == vid_mate_video_id)
	{
		return;
	}
	global_vid_mate_video_id = vid_mate_video_id;
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	var url = "http://vube.com/t-api/v1/video/"+vid_mate_video_id+""
	var referer = url;
	var cookie = "";
	var userAgent = "VubeAndroid/1.5.1";
	var method = "get";
	var data = "";
	vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

